/**************************************************************************
   llpddk.h - SANE library for Lexmark scanners.
   Copyright (C) 2003-2005 Lexmark International, Inc.
 
   This file is part of the SANE package.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.

   As a special exception, the authors of SANE give permission for
   additional uses of the libraries contained in this release of SANE.

   The exception is that, if you link a SANE library with other files
   to produce an executable, this does not by itself cause the
   resulting executable to be covered by the GNU General Public
   License.  Your use of that executable is in no way restricted on
   account of linking the SANE library code into it.

   This exception does not, however, invalidate any other reasons why
   the executable file might be covered by the GNU General Public
   License.

   If you submit changes to SANE to the maintainers to be included in
   a subsequent release, you agree by submitting the changes that
   those changes may be distributed with this exception intact.

   If you write modifications of your own for SANE, it is your choice
   whether to permit this exception to apply to your modifications.
   If you do not wish that, delete this exception notice.
   **************************************************************************/
#include "../include/sane/sane.h"

SANE_Status llpddk_init();
void llpddk_attach_matching_devices(
	const char * name,
	SANE_Status (* attach)(const char * dev));
void llpddk_destroy(
	void);
SANE_Status llpddk_open_device(
	SANE_String_Const devname);
void llpddk_close_device(
	void);
SANE_Status llpddk_start_scan(
	Option_Value opt[]);
long llpddk_read_scan_data(
	SANE_Byte * data,
	SANE_Int size,
	int * eof);
SANE_Status llpddk_abort_scan(
	void);
SANE_Status llpddk_end_scan(
	void);
void llpddk_report_error(
	int error);	
SANE_Status llpddk_get_adf_status(
	unsigned char * adfStat);
